import ItemDetails from "./ItemDetails";

const OrderDetails = ({ order, showDetails }) => {

  return (
    <div className={`order-details ${showDetails ? "animate" : ""}`}>
      <div className="order-details-container">
        <div>
          {`Order Details - Warehouse Order #: ${order.id}`}
        </div>
        <ul>
          {order.orderItems.map( item => (
            <ItemDetails key={item.itemId}item={item} />
          ))}
        </ul>
      </div>
    </div>
  )
}

export default OrderDetails;