import { useEffect, useState } from "react";
import Filter from "./Filter";
import Search from "./Search";

const FilterSearch = ({ orders, setOrdersToShow }) => {
  const [filtersOn, setFiltersOn] = useState(true);

  return (
    <div className="filter-search">
      <Filter filtersOn={filtersOn} setOrdersToShow={setOrdersToShow} />
      <Search setOrdersToShow={setOrdersToShow} setFiltersOn={setFiltersOn}/>
    </div>
  );
};

export default FilterSearch;
